// custom-tab-bar/index.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    selected: 0,
    color: "#999999",
    selectedColor: "#32CA69",
    listTab: [{
      "pagePath": "/pages/works/index",
      "text": "作品",
      "iconPath": "/static/zp.png",
      "selectedIconPath": "/static/zp2.png"
    }, {
      "pagePath": "/pages/index/index",
      "text": "推荐",
      "iconPath": "/static/tj.png",
      "selectedIconPath": "/static/tj2.png"
    }, {
      "pagePath": "/pages/my/index",
      "text": "我的",
      "iconPath": "/static/my.png",
      "selectedIconPath": "/static/my2.png"
    }]
  },

  /**
   * 组件的方法列表
   */
  methods: {
    switchTab(e) {
      const data = e.currentTarget.dataset;
      const url = data.path;
      wx.switchTab({
        url
      });
    }
  }
})